package it.eng.spago.cms;

/**
 * Models a version of a node
 */
public class CmsVersion {

	String name = "";
	String dataCreation = "";
	
	/**
	 * Constructor of the class useful to build a CmsVersion setting 
	 * the name and the data of the creation
	 * @param namein The name of the version
	 * @param datain The string representation of the creation data
	 */
	public CmsVersion(String namein, String datain) {
		name = namein;
		dataCreation = datain;
	}
	
	/**
	 * Gets the string representation of the creation data
	 * @return the string representation of the creation data
	 */
	public String getDataCreation() {
		return dataCreation;
	}
	/**
	 * Sets the string representation of the creation data
	 * @param dataCreation the string representation of the creation data
	 */
	public void setDataCreation(String dataCreation) {
		this.dataCreation = dataCreation;
	}
	/** 
	 * gets the name of the version
	 * @return The name of the version
	 */
	public String getName() {
		return name;
	}
	/**
	 * Sets the name of the version
	 * @param name the name of the version
	 */
	public void setName(String name) {
		this.name = name;
	}
	
}
