package it.eng.spago.cms.constants;

/**
 * Defines constants used by the logic of the spagocms component 
 */
public class Constants {
	public static final String PATH = "PATH";
	public static final String NAME = "NAME";
	public static final String NODE = "NODE";
	public static final String UUID = "UUID";
	public static final String CHILD = "CHILD";
	public static final String CHILDS = "CHILDS";
	public static final String NAME_SET_OPERATION = "SETOPERATION";
	public static final String NAME_DELETE_OPERATION = "DELETEOPERATION";
	public static final String NAME_GET_OPERATION = "GETOPERATION";
	public static final String NAME_RESTORE_OPERATION = "RESTOREOPERATION";
	public static final String NAME_SEARCH_OPERATION = "SEARCHOPERATION";
	public static final String TYPE = "type";
	public static final String OLDPROPERTIES = "cancelOldProperties";
	public static final String OPERATION_ENVELOPE = "OPERATIONS.OPERATION";
	public static final String OPERATION_NAME = "NAME";
	public static final String QUERY_ATTRIBUTE = "query";
	public static final String LANGUAGE_ATTRIBUTE = "language";
	public static final String QUERY_PLACEHOLDER = "-par-";
	public static final String CONTAINER = "container";
	public static final String CONTENT = "content";
	public static final String STREAM = "CONTENT.STREAM";
	public static final String VERSION = "VERSION";
	public static final String VERSIONS = "VERSIONS";
	public static final String GETVERSIONS = "GETVERSIONS";
	public static final String GETCHILDS = "GETCHILDS";
	public static final String GETPROPERTIES = "GETPROPERTIES";
	public static final String GETCONTENT = "GETCONTENT";
	public static final String CONTENTSB = "CONTENT";
	public static final String STREAMATTR = "stream";
	public static final String DATA_CREATION = "dataCreation";
	public static final String NAME_MODULE = "SPAGO(CMS)";
	public static final String PROPERTIES = "PROPERTIES";
	public static final String PROPERTY = "PROPERTY";
	public static final String TYPE_STRING = "STRING";
	public static final String TYPE_DOUBLE = "DOUBLE";
	public static final String TYPE_LONG = "LONG";
	public static final String TYPE_BOOLEAN = "BOOLEAN";
	public static final String TYPE_BINARY = "BINARY";
	public static final String TYPE_DATE = "DATE";
	public static final String NAME_PROPERTY = "name";
	public static final String TYPE_PROPERTY = "type";
	public static final String VALUE_PROPERTY_SB = "PROPERTYVALUE";
	public static final String VALUE_PROPERTY = "value";
	public static final String CODE_TYPE_PROPERTY = "CODETYPE";
	public static final String DEVELOPMENT_PROPERTY = "development";
	public static final String TEST_PROPERTY = "test";
	public static final String EXECUTION_PROPERTY = "execution";
}
